Page MenuHomeFreeBSD

Unbreak openoffice-4 build with gcc 4.9
ClosedPublic

Authored by truckman on Feb 6 2015, 9:55 PM.

Details

Reviewers
pfg
mat
Summary

When building openoffice-4 with gcc 4.9, the build fails with
link errors because of some inline class methods that gcc
thinks are undefined. This only happens when the .o file are
compiled with -Os. Changing to -O0 fixes the problem

Test Plan

Build and run with both gcc 4.8 and gcc 4.9.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

truckman updated this revision to Diff 3673.Feb 6 2015, 9:55 PM
truckman retitled this revision from to Unbreak openoffice-4 build with gcc 4.9.
truckman updated this object.
truckman edited the test plan for this revision. (Show Details)
truckman added reviewers: mat, pfg.
mat accepted this revision.Feb 7 2015, 1:09 AM
mat edited edge metadata.
This revision is now accepted and ready to land.Feb 7 2015, 1:09 AM
truckman closed this revision.Apr 6 2015, 3:30 AM

Closed by commit rP379055 (authored by @truckman).